#!/usr/bin/env bash

#execute on the dev system
echo "This script has to be executed on the target system"
echo "Drush defines the alias @self to refer to the currently bootstrapped site."

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

echo "-----------------------------------------------------------"
echo "Switch directory to drupal web folder"
cd $DIR/../docroot
pwd

#copy over db
echo "copy over database"
drush sql-sync @dev @self -y
drush cr

echo "import local config"
drush updb -y
drush cr
drush config-import -y
drush cr
# This is run by blt deploy and drush deploy, but as we are not using drush
# deploy in this case, we add it separately.
drush deploy:hook -y
drush cr

#rsync files folder
echo "Rsyncing files from live system"
drush rsync @dev:%files/ @self:%files --exclude-paths=download:styles -y

echo "Cache rebuild"
drush cr

echo "All done..."
